Media Icons Facebook Twitter Google+ RSS Focusrite TV Focusrite Soundcloud

Follow

How can I authorise the plugin suite that came with my legacy Saffire?

Applies to: Saffire Pro 26 i/o (legacy), Saffire Pro 10 i/o, Saffire (white-faced), Saffire LE

The original Saffire plugin suite that came with the Saffire, Saffire LE, Saffire Pro 10 i/o and Saffire Pro 26 i/o has now been discontinued and as a result it is no longer possible to authorise them. If you contact us here we will be able to advise you on this further.

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments